import { useMutation } from '@tanstack/react-query';

import { eventsQueryKeys } from '../events-query-keys';
import { type PostDeleteFile, eventsApi } from '../events-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostDeleteFileMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostDeleteFile, ResponseType>({
    mutationKey: eventsQueryKeys.deleteFile(),
    mutationFn: async (data) => {
      const response = await eventsApi.deleteFile(data);
      return response.data;
    }
  });
};
